INCLUDE = -I.
CCFLAGS = $(INCLUDE) -fPIC 
LINKFLAGS = -shared

libsimple.so: libsimple.o
	gcc $(LINKFLAGS) -o libsimple.so $^	
	
libsimple.o: libsimple.c libsimple.h
	gcc $(CCFLAGS) -c $<
	
clean:
	$(RM) *.o libsimple.so